import std.stdio;

void main()
{
    auto a1 = [ "Jane":10.0, "Jack":20, "Bob":15 ];
    auto a2 = [ "Jane":10.0, "Jack":20, "Bob":15 ];
    assert(a1 !is a2);
    assert(a1 == a2);
    a2["Bob"] = 18;
    assert(a1 != a2);
}
